-- Customer specific once-script HSLE#33448.

SET ECHO ON
SPOOL xHSLE#34363.lst
SET DEFINE OFF


select ins_deel_key, ins_alg_ruimte_key_org, ins_alg_ruimte_type_org from ins_deel 
where ins_srtdeel_key = 301
and ins_alg_ruimte_type = 'P'
and ins_deel_verwijder is null;

-- Update van uitleenobjecten parkeerpassen ( ins_srtdeel_key = 301),  opslagruimte key = 391
update ins_deel
set ins_alg_ruimte_key_org = 391, ins_alg_ruimte_type_org = 'R'
where ins_srtdeel_key = 301
and ins_alg_ruimte_type = 'P'
and ins_deel_verwijder is null;

-- Update van uitleenobjecten Sleutels (ins_srtgroep_key = 121 in test, 81 in productie), opslagruimte key = 404
select ins_deel_key, ins_alg_ruimte_key_org, ins_alg_ruimte_type_org from ins_deel 
where ins_srtdeel_key IN (select ins_srtdeel_key from ins_srtdeel where ins_srtgroep_key = 81 and ins_srtdeel_uitleenbaar = 1)
and ins_alg_ruimte_type = 'P'
and ins_deel_verwijder is null;

update ins_deel
set ins_alg_ruimte_key_org = 404, ins_alg_ruimte_type_org = 'R'
where ins_srtdeel_key IN (select ins_srtdeel_key from ins_srtdeel where ins_srtgroep_key = 81 and ins_srtdeel_uitleenbaar = 1)
and ins_alg_ruimte_type = 'P'
and ins_deel_verwijder is null;


-- Update van uitleenobjecten ICT (ins_disciplinekey = 301 in test, 301 in productie), opslagruimte key = 669
select ins_deel_key, ins_alg_ruimte_key_org, ins_alg_ruimte_type_org from ins_deel
where ins_srtdeel_key IN (select ins_srtdeel_key from ins_srtdeel where ins_srtdeel_verwijder is null and ins_srtdeel_uitleenbaar = 1 and  ins_srtgroep_key IN (select ins_srtgroep_key from ins_srtgroep where ins_discipline_key = 301 and ins_srtgroep_verwijder is null))
and ins_alg_ruimte_type = 'P'
and ins_deel_verwijder is null;

update ins_deel
set ins_alg_ruimte_key_org = 669, ins_alg_ruimte_type_org = 'R'
where ins_srtdeel_key IN (select ins_srtdeel_key from ins_srtdeel where ins_srtdeel_verwijder is null and ins_srtdeel_uitleenbaar = 1 and  ins_srtgroep_key IN (select ins_srtgroep_key from ins_srtgroep where ins_discipline_key = 301 and ins_srtgroep_verwijder is null))
and ins_alg_ruimte_type = 'P'
and ins_deel_verwijder is null;

COMMIT;

BEGIN adm.systrackscriptId('$Id$'); END;
/

SPOOL OFF

